@extends('cms::admin.layouts.app')

@php
    /**
     * @var \TDevAgency\Erp\Models\Provider $provider
    */
@endphp
@section('content')
    <div class="card card-body">
        <div class="table-responsive">
            <table class="table-styled">
                <thead>
                <tr>
                    <td data-colspan>
                        <form class="input-group" action="{{route('cms.manufactures.index')}}">
                            <input type="search" name="q" class="form-control"
                                   value="{{Request::query('q')}}"
                                   placeholder="@lang('erp::erp.search_provider')">
                            <div class="input-group-append">
                                <button class="btn btn-outline-success"><i class="fas fa-search"></i>
                                    <span class="d-none d-md-inline">@lang('erp::erp.search')</span></button>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr class="collspan-count">
                    <th class="fit-content">@sortablelink('name', trans('erp::erp.provider_name'))</th>
                    <th class="fit-content">@sortablelink('contact_person', trans('erp::erp.contact_person'))</th>
                    <th class="fit-content">{{trans('erp::erp.email')}}</th>
                    <th class="fit-content">{{trans('erp::erp.phones')}}</th>
                    <th class="fit-content">@sortablelink('products_count', trans('erp::erp.products_amount'))</th>
                    <th class="text-right text-nowrap fit-content">
                        <a href="{{route('cms.providers.create')}}" class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_provider')</span>
                        </a>
                    </th>
                </tr>
                </thead>
                <tbody>
                @forelse($providers as $provider)
                    <tr>

                        <td>{{$provider->name}}</td>
                        <td>{{$provider->contact_person}}</td>
                        <td><a href="mailto:{{$provider->email}}">{{$provider->email}}</a></td>
                        <td>@if($provider->phone_one !== null)<a
                                href="tel:{{$provider->phone_one}}">{{$provider->phone_one}}</a>@endif
                            @if($provider->phone_two !== null)<a
                                href="tel:{{$provider->phone_two}}">{{$provider->phone_two}}</a>@endif
                        </td>

                        <td></td>
                        <td class="text-right text-nowrap">
                            <a href="{{route('cms.providers.edit', $provider->id)}}"
                               class="btn btn-outline-success btn-sm"><i class="fas fa-edit"></i>
                                <span class="d-none d-md-inline">@lang('erp::erp.edit_provider')</span></a>

                            <form method="post" @submit="confirmDelete" class="d-inline"
                                  action="{{route('cms.providers.destroy', $provider->id)}}">
                                @csrf
                                @method('DELETE')
                                <button class="btn btn-outline-danger btn-sm">
                                    <i class="fas fa-trash"></i>
                                    <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>
                                </button>
                            </form>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" colspan="4">@lang('cms-fixed::admin.no_data')</td>
                    </tr>
                @endforelse
                </tbody>
                <tfoot>
                <tr>
                    <td data-colspan="1"> {!! $providers->appends(Request::except('page'))->render() !!}</td>
                    <td class="text-right text-nowrap">
                        <a href="{{route('cms.providers.create')}}" class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_provider')</span>
                        </a>
                    </td>
                </tr>
                </tfoot>

            </table>
        </div>
    </div>
@endsection

@push('styles')
    <style>
    .img-fluid {
        max-width: 120px;
        max-height: 48px;
    }

    .table.table-light th {
        width: fit-content;
    }
    </style>
@endpush
