<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use TDevAgency\Cms\Models\BaseModels\AdminUser;
use TDevAgency\Erp\Interfaces\ErpModel;

class Container extends Model implements ErpModel
{
    protected $fillable = [
        'is_active',
        'container_name',
        'admin_user_id'
    ];


    /**
     * @return BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(AdminUser::class);
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->getAttributeValue('container_name');
    }

    public function getImageName(): string
    {
        // TODO: Implement getImageName() method.
    }

    public function getImage($size = null)
    {
        // TODO: Implement getImage() method.
    }

    public function getImageSizes(): array
    {
        // TODO: Implement getImageSizes() method.
    }

    public function getId()
    {
        return $this->getAttributeValue('id');
    }
}
