<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use TDevAgency\NovaPoshtaSdk\Api\AddressGeneral;
use TDevAgency\NovaPoshtaSdk\Facades\NovaPoshta;

class OrderDelivery extends Model
{
    protected $fillable = [
        'order_id',
        'delivery_code',
        'delivery_name',
        'delivery_status',
        'track_number',
        'delivery_price',
        'total_qty',
        'delivery_data',
    ];

    public function getDeliveryDataAttribute($value)
    {
        if ($value === null) {
            return null;
        }

        $data = unserialize(base64_decode($value));

        if (!isset($data['city_ref'])) {
            return null;
        }

        $deps = NovaPoshta::addressGeneralModel()->getWarehouses(['SettlementRef' => $data['city_ref']], AddressGeneral::CATEGORY_BRANCH)->toArray();
        $key = array_search($data['wire_house_ref'], array_column($deps, 'Ref'));

        if (!$key) {
            return null;
        }
        return sprintf('%s, %s.', $deps[$key]['DescriptionRu'], $deps[$key]['CityDescriptionRu']);
    }
}
